Subject: bug#48611: Allow DEJAGNU TIMEOUT env var for slow arches

From: Jacob Bachmeyer <[email-masked]>
Date: Mon, 24 May 2021 19:02:40 -0500

Now that I have had a chance to sleep on this, I will save you some 
trouble:  an environment or command line variable will not be accepted 
upstream for this and 1.6.4 will add a board_info key for this purpose.

The rationale is that DejaGnu can support testing runs spanning multiple 
targets, and in the future will support multiple targets in parallel 
testing mode as well.  There is no good way to limit the scope of an 
environment variable or command line variable to only one target, and 
different target boards may need different timeout values.  The 
board_info structures are the correct place for this information.

While 1.6.4 may possibly rework board_info internally, I will try to 
keep the changes to lib/remote.exp simple enough for Debian to easily 
backport them to 1.6.3 and/or 1.6.2.

-- Jacob